aboutsummaryrefslogtreecommitdiffstats
path: root/www-apps
diff options
context:
space:
mode:
authorWynn Wolf Arbor2020-05-24 19:28:49 +0200
committerWynn Wolf Arbor2020-05-24 19:28:49 +0200
commitbe6ea31bad4c6a0f228750f58be1b0906e28aea0 (patch)
treede1b993b2de3460edf52aec0e8284b00c68d547b /www-apps
parent93a7deda1734d5dee44dc963a804dd797bac5fec (diff)
downloadpramantha-be6ea31bad4c6a0f228750f58be1b0906e28aea0.tar.gz
www-apps/cgit: Add 1.2.3.-r1
This ebuild differs greatly from the official one in the main tree and should be considered experimental. We fully remove webapp-config support, since our setup is not compatible at all with Gentoo assumptions. Furthermore, we have added missing USE flags and converted the ebuild to EAPI 7. Package-Manager: Portage-2.3.99, Repoman-2.3.22
Diffstat (limited to 'www-apps')
-rw-r--r--www-apps/cgit/Manifest4
-rw-r--r--www-apps/cgit/cgit-1.2.3-r1.ebuild83
-rw-r--r--www-apps/cgit/metadata.xml26
3 files changed, 113 insertions, 0 deletions
diff --git a/www-apps/cgit/Manifest b/www-apps/cgit/Manifest
new file mode 100644
index 0000000..45bf05c
--- /dev/null
+++ b/www-apps/cgit/Manifest
@@ -0,0 +1,4 @@
+DIST cgit-1.2.3.tar.xz 90632 BLAKE2B 594a9b2ae0b449e0ef090f428f955cc02833f5f5b1e4d6dc8c737daa565d01ba6840933c0bdc53d4eb683b2f44e2fae885ddd020cfb2de38141a870a6eae2380 SHA512 58f9bb644b07be49dc51f3ef30a3d0e53699cede3c06b1d6920f3874fe846c83dd2589632aa84357b70ea2d60272448409aa1b892f405d14dd6745f5559b4504
+DIST git-2.25.1.tar.xz 5875548 BLAKE2B 582da3d4ac996d7b9ce6cf505661496ab1a2cd061f058745350498121956b33d79739b567fb5fea0b4e298303261256034aa0b8da0b842feab04ae67a7d5b142 SHA512 15241143acfd8542d85d2709ac3c80dbd6e8d5234438f70c4f33cc71a2bdec3e32938df7f6351e2746d570b021d3bd0b70474ea4beec0c51d1fc45f9c287b344
+EBUILD cgit-1.2.3-r1.ebuild 1862 BLAKE2B 93f04fcd7cdc07da882f8a0d019c061b45b5b2ed3bd66e3d69a2943e73976bea07b513a2c2f4ab78d51ef03143833a7cd51f169239c46638a4d1361fb463f3c0 SHA512 c78ae50de46da4a83c0a18ae676990fcf0ae35c95aba1d789d6abca67e463e2fa12061b0fc38dec9c44b9f26d4797dae1ab85c8e4bfb57ec2e8bb398e08da184
+MISC metadata.xml 1029 BLAKE2B e46976de1886fef155a1488142b4b3733c1e682a8851b4b36449e95759a050722d3147221f3cc587a984e28c2b167dacf3e29a4cc208f30bd52e0216806d2327 SHA512 bcd83dfd7789597db8ef429aebe5c34138aba888706bce5972208e6cb8e991a820691cef5268fcebf9e30ec5bf9d4ccc65d36790372282f96c09243137856fdd
diff --git a/www-apps/cgit/cgit-1.2.3-r1.ebuild b/www-apps/cgit/cgit-1.2.3-r1.ebuild
new file mode 100644
index 0000000..10d8602
--- /dev/null
+++ b/www-apps/cgit/cgit-1.2.3-r1.ebuild
@@ -0,0 +1,83 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit multilib toolchain-funcs
+
+GIT_V="2.25.1"
+
+DESCRIPTION="a fast web-interface for git repositories"
+HOMEPAGE="https://git.zx2c4.com/cgit/about"
+SRC_URI="https://www.kernel.org/pub/software/scm/git/git-${GIT_V}.tar.xz
+ https://git.zx2c4.com/cgit/snapshot/${P}.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="amd64 x86"
+IUSE="doc highlight libressl lua luajit lzip markdown zip zstd"
+
+LUADEP="
+ lua? (
+ luajit? ( dev-lang/luajit )
+ !luajit? ( dev-lang/lua:0 )
+ )
+"
+
+BDEPEND="
+ doc? ( app-text/docbook-xsl-stylesheets
+ >=app-text/asciidoc-8.5.1 )
+"
+
+RDEPEND="${LUADEP}
+ dev-vcs/git
+ highlight? ( || ( dev-python/pygments app-text/highlight ) )
+ lzip? ( app-arch/lzip )
+ markdown? ( dev-python/markdown )
+ zip? ( app-arch/zip )
+ zstd? ( app-arch/zstd )
+"
+
+DEPEND="${LUADEP}
+ !libressl? ( dev-libs/openssl:0= )
+ libressl? ( dev-libs/libressl:0= )
+ sys-libs/zlib
+"
+
+src_prepare() {
+ default
+
+ rmdir git || die
+ mv "${WORKDIR}"/git-"${GIT_V}" git || die
+
+ echo "prefix = ${EPREFIX}/usr" >> cgit.conf
+ echo "libdir = ${EPREFIX}/usr/$(get_libdir)" >> cgit.conf
+ echo "CACHE_ROOT = ${CGIT_CACHEDIR}" >> cgit.conf
+ echo "DESTDIR = ${D}" >> cgit.conf
+ if use lua; then
+ if use luajit; then
+ echo "LUA_PKGCONFIG = luajit" >> cgit.conf
+ else
+ echo "LUA_PKGCONFIG = lua" >> cgit.conf
+ fi
+ else
+ echo "NO_LUA = 1" >> cgit.conf
+ fi
+}
+
+src_compile() {
+ emake V=1 AR="$(tc-getAR)" CC="$(tc-getCC)" CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}"
+ use doc && emake V=1 doc-man
+}
+
+src_install() {
+ emake V=1 AR="$(tc-getAR)" CC="$(tc-getCC)" CFLAGS="${CFLAGS}" LDFLAGS="${LDFLAGS}" install
+
+ dodoc README
+ use doc && doman cgitrc.5
+}
+
+pkg_postinst() {
+ ewarn "For caching support, /var/cache/cgit needs to exist and be owned"
+ ewarn "by the user executing cgit."
+}
diff --git a/www-apps/cgit/metadata.xml b/www-apps/cgit/metadata.xml
new file mode 100644
index 0000000..4e0a8bf
--- /dev/null
+++ b/www-apps/cgit/metadata.xml
@@ -0,0 +1,26 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="person">
+ <email>zx2c4@gentoo.org</email>
+ <name>Jason A. Donenfeld</name>
+ </maintainer>
+ <maintainer type="project">
+ <email>web-apps@gentoo.org</email>
+ <name>Gentoo Webapps</name>
+ </maintainer>
+ <longdescription lang="en">
+ cgit - cgi for git
+
+ This is an attempt to create a fast web interface for the git scm, using a
+ builtin cache to decrease server io-pressure.
+ </longdescription>
+ <use>
+ <flag name="lzip">Enable generation of snapshots compressed with app-arch/lzip</flag>
+ <flag name="zip">Enable generation of snapshots compressed with app-arch/zip</flag>
+ <flag name="zstd">Enable generation of snapshots compressed with app-arch/zstd</flag>
+ <flag name="markdown">Enable markdown rendering in the about page</flag>
+ <flag name="highlight">Enable source code highlighting</flag>
+ <flag name="lua">Enable support for Lua scripting</flag>
+ </use>
+</pkgmetadata>